summaryrefslogtreecommitdiffstats
path: root/slackware64/l/librsvg
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2019-09-19 22:48:58 +0000
committer Eric Hameleers <alien@slackware.com>2019-09-20 08:59:47 +0200
commit3fb911844eaa3e98d80a8cc6c946202904fe8693 (patch)
treeb614a5a6e02c370bd4824e86980b7b8c9ab442de /slackware64/l/librsvg
parenta580cc0d3e082bb499f39ba917b24149bdb68ac7 (diff)
downloadcurrent-ff8c34fda576fc9240c95f3d53d425eefe2ef0aa.tar.gz
current-ff8c34fda576fc9240c95f3d53d425eefe2ef0aa.tar.xz
Thu Sep 19 22:48:58 UTC 201920190919224858
Thanks to Robby Workman for helping upgrade the GTK stack! a/kernel-generic-4.19.74-x86_64-1.txz: Upgraded. a/kernel-huge-4.19.74-x86_64-1.txz: Upgraded. a/kernel-modules-4.19.74-x86_64-1.txz: Upgraded. d/kernel-headers-4.19.74-x86-1.txz: Upgraded. d/vala-0.46.1-x86_64-1.txz: Upgraded. k/kernel-source-4.19.74-noarch-1.txz: Upgraded. l/adwaita-icon-theme-3.34.0-noarch-1.txz: Upgraded. l/at-spi2-atk-2.34.0-x86_64-1.txz: Upgraded. l/at-spi2-core-2.34.0-x86_64-1.txz: Upgraded. l/atk-2.34.1-x86_64-1.txz: Upgraded. l/dconf-0.34.0-x86_64-1.txz: Upgraded. l/dconf-editor-3.34.1-x86_64-1.txz: Upgraded. l/fuse3-3.6.2-x86_64-1.txz: Added. This is required by gvfs and sshfs. l/glib-networking-2.62.0-x86_64-1.txz: Upgraded. l/glib2-2.62.0-x86_64-1.txz: Upgraded. l/gnome-themes-extra-3.28-x86_64-1.txz: Added. l/gnome-themes-standard-3.22.3-x86_64-2.txz: Removed. Upstream has renamed this to gnome-themes-extra. l/gobject-introspection-1.62.0-x86_64-1.txz: Upgraded. l/gsettings-desktop-schemas-3.34.0-x86_64-1.txz: Upgraded. l/gvfs-1.42.0-x86_64-1.txz: Upgraded. l/imagemagick-6.9.10_65-x86_64-1.txz: Upgraded. l/librsvg-2.46.0-x86_64-1.txz: Upgraded. l/libsoup-2.68.1-x86_64-1.txz: Upgraded. l/pygobject3-3.34.0-x86_64-1.txz: Upgraded. l/python-packaging-19.2-x86_64-1.txz: Upgraded. l/vte-0.58.0-x86_64-1.txz: Upgraded. n/bind-9.14.6-x86_64-1.txz: Upgraded. n/sshfs-3.5.2-x86_64-1.txz: Upgraded. isolinux/initrd.img: Rebuilt. kernels/*: Upgraded. usb-and-pxe-installers/usbboot.img: Rebuilt.
Diffstat (limited to 'slackware64/l/librsvg')
-rwxr-xr-xslackware64/l/librsvg/librsvg.SlackBuild134
-rw-r--r--slackware64/l/librsvg/slack-desc19
2 files changed, 153 insertions, 0 deletions
diff --git a/slackware64/l/librsvg/librsvg.SlackBuild b/slackware64/l/librsvg/librsvg.SlackBuild
new file mode 100755
index 000000000..e003c5892
--- /dev/null
+++ b/slackware64/l/librsvg/librsvg.SlackBuild
@@ -0,0 +1,134 @@
+#!/bin/bash
+# Copyright 2008, 2009, 2010, 2016, 2018 Patrick Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=librsvg
+VERSION=${VERSION:-$(echo librsvg-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i586 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-librsvg
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf librsvg-$VERSION
+tar xvf $CWD/librsvg-$VERSION.tar.?z || exit 1
+cd librsvg-$VERSION || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var/lib \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PKGNAM-$VERSION \
+ --enable-vala=yes \
+ --enable-static=no \
+ --build=$ARCH-slackware-linux || exit 1
+
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Compress and link manpages, if any:
+if [ -d $PKG/usr/man ]; then
+ ( cd $PKG/usr/man
+ for manpagedir in $(find . -type d -name "man*") ; do
+ ( cd $manpagedir
+ for eachpage in $( find . -type l -maxdepth 1) ; do
+ ln -s $( readlink $eachpage ).gz $eachpage.gz
+ rm $eachpage
+ done
+ gzip -9 *.?
+ )
+ done
+ )
+fi
+
+mkdir -p $PKG/usr/doc/librsvg-$VERSION
+cp -a \
+ AUTHORS COPYING* NEWS README* TODO \
+ $PKG/usr/doc/librsvg-$VERSION
+( cd $PKG/usr/doc/librsvg-$VERSION ; ln -s /usr/share/gtk-doc/html/rsvg-2.0/ html )
+
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/*-$VERSION)
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/librsvg-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/slackware64/l/librsvg/slack-desc b/slackware64/l/librsvg/slack-desc
new file mode 100644
index 000000000..b86907dd9
--- /dev/null
+++ b/slackware64/l/librsvg/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+librsvg: librsvg (SVG library)
+librsvg:
+librsvg: Library for handling SVG (Scalable Vector Graphics).
+librsvg:
+librsvg:
+librsvg:
+librsvg:
+librsvg:
+librsvg:
+librsvg:
+librsvg: